#import <Foundation/Foundation.h>

int main(void)
{
	[NSAutoreleasePool new];
	NSArray *array = 
		[NSArray arrayWithContentsOfFile: 
			@"example.plist"];
	NSData *data = [NSData dataWithContentsOfFile:
		@"example.plist"];
	NSMutableArray *mutable =
		[NSPropertyListSerialization 
			propertyListFromData: data
			    mutabilityOption:
		NSPropertyListMutableContainersAndLeaves
			              format: NULL
			    errorDescription: NULL];
	NSCAssert([mutable isKindOfClass: 
			[NSMutableArray class]],
		@"Should have read a mutable array");
	[[mutable objectAtIndex: 0] 
		appendString: @"suffix"];
	NSLog(@"Array: %@", array);
	NSLog(@"Modified array: %@", mutable);
	return 0;
}
